//
//  PQEditmaterialDurationFit?Model.swift
//  PQSpeed
//
//  Created by ak on 2020/12/5.
//  Copyright © 2020 BytesFlow. All rights reserved.
//

import Foundation
import ObjectMapper
import RealmSwift

public class PQEditmaterialDurationFitModel: PQEditBaseModel {
    @objc dynamic public var fitType: String = ""
    @objc dynamic public var multipleValue: Float = 0.0
    @objc dynamic public var loopValue: Int = 0

    required convenience  public init?(map _: Map) {
        self.init()
    }

    required  public init() {
        super.init()
    }

    public override  func mapping(map: Map) {
        fitType <- map["fitType"]
        multipleValue <- map["multipleValue"]
        loopValue <- map["loopValue"]
    }
}
